Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- Choice
- DefaultMemoisable
- Error
- Failure
- InRule
- Memoisable
- MemoisableRules
- Name
- NoSuccess
- Result
- Rule
- Rules
- RulesWithState
- ScalaSigParserError
- SeqRule
- StateRules
- Success
- ~

o

scala.tools.scalap.scalax.rules

# Failure 

###

#### object Failure extends NoSuccess[Nothing] with Product with Serializable

Source
  Result.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, NoSuccess[Nothing], Result[Nothing, Nothing, Nothing], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Failure
2. Serializable
3. Serializable
4. Product
5. Equals
6. NoSuccess
7. Result
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def error: Nothing
   Definition Classes
     Failure → Result
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  def flatMap[Out2, B](f: (Nothing, Nothing) ⇒ Result[Out2, B, Nothing]): NoSuccess[Nothing]
    Definition Classes
      NoSuccess → Result
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  def map[Out2, B](f: (Nothing, Nothing) ⇒ (Out2, B)): NoSuccess[Nothing]
    Definition Classes
      NoSuccess → Result
14.  def map[B](f: (Nothing) ⇒ B): NoSuccess[Nothing]
    Definition Classes
      NoSuccess → Result
15.  def mapOut[Out2](f: (Nothing) ⇒ Out2): NoSuccess[Nothing]
    Definition Classes
      NoSuccess → Result
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
19.  def orElse[Out2, B](other: ⇒ Result[Out2, B, Nothing]): Result[Out2, B, Nothing]
    Definition Classes
      NoSuccess → Result
20.  def out: Nothing
    Definition Classes
      NoSuccess → Result
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toOption: None.type
    Definition Classes
      NoSuccess → Result
23.  def value: Nothing
    Definition Classes
      NoSuccess → Result
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from NoSuccess[Nothing]

### Inherited from Result[Nothing, Nothing, Nothing]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped